const request = require('supertest');
const { expect } = require('chai');
const app = require('../../src/app');

describe('GET /', () => {
  beforeEach(async () => {
    const res = await request(app).get('/');
    this.res = res;
  });

  it('Dashboard should return a 200 status', async () => {
    expect(this.res.status).to.equal(200);
  });

  it('Dashboard should return an HTML response', async () => {
    expect(this.res.headers['content-type']).match(/text\/html/);
  });

  it('Dashboard should contain "Leviathan" in body', async() => {
    expect(this.res.text).contains('Leviathan');
  });
});
